Create a bank deposit
curl --request POST \
--url https://api.arcuserp.com/v1/deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deposit_date": "2023-12-25",
"payment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"memo": "<string>"
}
'import requests
url = "https://api.arcuserp.com/v1/deposits"
payload = {
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deposit_date": "2023-12-25",
"payment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"memo": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deposit_date: '2023-12-25',
payment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
memo: '<string>'
})
};
fetch('https://api.arcuserp.com/v1/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"total_amount": 123
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}Accounting
Create a bank deposit
Groups undeposited payment receipts into a single bank deposit batch. Posts GL entries: DR Bank Account / CR Undeposited Funds per receipt line.
POST
/
deposits
Create a bank deposit
Authorizations
API key issued per entity via Settings > Developers > API Keys.
Each key carries scopes (e.g. orders:read, products:write).
Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.
Body
application/json
Was this page helpful?
⌘I

